Subject: [rohc] ROHC TCP PF discussion (was: RE: IMPORTANT)

From: "Lars-Erik Jonsson (LU/EAB)" <[email-masked]>
Date: Thu, 11 Nov 2004 15:52:02 +0100

ROHCers,

Some of you might be surprised by this discussion popping up. As
you probably have understood, we had some offline discussions
between the draft authors yesterday and one of the mails from 
the middle of that discussion went to the list, potentially
causing some confusion.

Anyway, the discussion was about the fact that we have been
sidetracked by the Formal Notation issues for so long, and
almost forgotten that our work is actually about creating
compressed packet formats for ROHC TCP. In this discussion, we
also noticed that if we can not manage to create formats based
on the Formal Notation, nothing prevents us from going back to
traditional box notation. We want the Formal Notation to be a
helpful tool in profile definition and documentation, not an 
obstacle.

Now, we are hopefully back on track finishing the packet 
formats, focusing on content. Whether we will then be able to
finally document these in FN or if we turn back to box notation
is a rather minor issue, as long as we can finalize this work.
It has been more than a year now when we have said that we are
"almost there" with the FN. It is a fact that we had been done
with the TCP profile long ago if it had not been for our desire
to get it FN-based. It is never fun to give up on something you
have spent significant efforts on, but sometimes one has to take
tough decisions. Anyway, focus is now on packet format contents,
then we'll see what documentation method that can deliver.

Cheers,
/L-E

> -----Original Message-----
> From: Finking, Robert [mailto:[email-masked]]
> Sent: den 11 november 2004 11:19
> To: Lars-Erik Jonsson (LU/EAB)
> Cc: [email-masked]'
> Subject: RE: IMPORTANT: RE: [rohc] RoHC-FN List encoding question
> 
> 
> Answers inline.
> 
> Regards
> 
> Raffles
> 
> PS I've posted this to the list since this is a major issue 
> which others may
> be interested in - I hope that's OK!
> 
> > > 
> > > So, my suggestion would be to go to box notation and drop the 
> > > entire FN, but I know that both Carsten and you still like
> > > this. But I'm getting sick of never being able tro agree on
> > > anything and depending on who's got the token we revise what
> > > the last guy wrote (not putting more blame on anyone, I think
> > > we've all been equally bad). 
> > 
> > I agree we've reached the point when we should really give up
> > the FN experiment and let the TCP profile be completed, which
> > we know we can do with traditional box notation and english
> > text.
> > 
> > As a Swedish pessimism consultant use to say, "It's never too
> > late to give up"...=)
> 
> Eeek!
> 
> Here's my tuppence: now is a crazy time to give up on the FN 
> TCP profile.
> It's almost there! If we were going to gain any benefit on 
> abandoning the
> FN, we should have done it years ago. As is always the case with these
> things, you get the biggest benefit by making a decision 
> early in the day.
> However I'm glad you didn't abandon it, because the benefit 
> the notation
> brings IMHO far outweighs the benefit you'd have had by abandoning it.
> 
> I put it to you that going over to the box notation at this 
> stage would take
> longer than finishing off the "almost there" FN TCP profile. 
> Meantime you
> will end up with all the problems that the box 
> notation/English description
> brings.
> 
> I put it to you that the bits that are difficult from a 
> notational point of
> view are not difficult because of the notation, they're just 
> inherently
> complex. Therefore there will be the same difficulties 
> describing these in
> English/ASCII art as we're having in the formal notation, 
> only you've lost
> the formality. To me, these are the parts of the profile that 
> most need to
> be defined formally, since they're the parts which are most 
> likely to be
> misunderstood/misimplemented.
> 
> 
> > 
> > > We've not had ANY focus whatsoever on the packet formats
> > > themselves, I think it's only me and Mark that have actually
> > > tried to see what's in them! And with a situation like that
> > > I think we NEED to throw out the FN from ROHC-TCP and do it
> > > NOW!
> > 
> > YES!
> > Getting focus back to the TCP profile and it's packet format
> > details is essential to ever be able to complete this work.
> > 
> > /L-E
> > 

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc